
Automated Build Generator - Bug #2044
Aborted jobs(timeout) stop the buildflow.
10/07/2014 01:58 PM - S. Meyer zu Borgsen

Status: Resolved Start date: 10/07/2014
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.5
Description

If one job gets aborted the buildflow does not continue.

                                xqilla-2.3.0-toolkit-robocup-trusty-tahr-nightly #2 completed  : ABORTED
                            }
ERROR: Failed to run DSL Script
java.util.concurrent.ExecutionException: org.codehaus.groovy.runtime.InvokerInvocationException:
com.cloudbees.plugins.flow.JobExecutionFailureException

Associated revisions
Revision bf8c90b7 - 10/07/2014 02:32 PM - J. Moringen

buildflow ignores aborted builds in src/commandline-interface/main.lisp

fixes #2044

    -  src/commandline-interface/main.lisp (configure-buildflow-job): ignore
  ABORTED and better instead of FAILURE and better

History
#1 - 10/07/2014 02:08 PM - J. Moringen
- Status changed from New to Feedback

I don't think we can control what happens in case of timeouts. The buildflow is already configured to continue in case of errors by default.

#2 - 10/07/2014 02:12 PM - S. Meyer zu Borgsen

If a timeout occurs for a job it gets the marked as ABORTED.
Failed jobs get the state FAILURE.
The problem is that it seems to only ignore the state FAILURE but not the state ABORTED.
This causes the whole buildflow to stop.

#3 - 10/07/2014 02:12 PM - J. Wienke

The documentation states:
The flow will not take care of the triggered build status if it's better than the configured result. This allows you to ignore UNSTABLE < FAILURE <
ABORTED.

So we could probably add an ignore(ABORTED).

#4 - 10/07/2014 02:23 PM - J. Moringen

So we could probably add an ignore(ABORTED).

We would use ABORTEDinstead ofFAILURE since the former "includes" the latter, right?

#5 - 10/07/2014 02:29 PM - S. Meyer zu Borgsen

Yes, that would solve the issue.

#6 - 10/07/2014 02:34 PM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bf8c90b78b795ddbb398e6449ef757eef11849f9.

#7 - 09/30/2016 10:47 AM - J. Moringen
- Target version set to 0.5
